DESCRIPTION = "Proprietary firmware binaries needed for the Laird Sterling-LWB \
               Wifi/BT Module with FCC compliance."
LICENSE = "LICENSE.laird"
LIC_FILES_CHKSUM = "file://LICENSE.laird;md5=8a5d246793523a931f0739615a4250c8"

RCONFLICTS_${PN} = "laird-sterling-etsi"

FILESEXTRAPATHS_prepend := "${THISDIR}/laird-sterling:"
SRC_URI = " \
	https://artifactory.phytec.com/artifactory/yocto-source-mirror/480-0079-7.0.0.52.tar.bz2 \
	file://LICENSE.laird \
	"

SRC_URI[md5sum] = "6e26c4df3e58e7e3f5f321384db3cdbf"
SRC_URI[sha256sum] = "b52d721be22c65af5fe3998e30187b2e618c823625ee6f85196b749778b0c25d"

FIRMWARE_PATH = "/lib/firmware"
BCM4343W_PATH = "${FIRMWARE_PATH}/brcm/bcm4343w"

S = "${WORKDIR}"

do_install_append() {
	install -d ${D}${FIRMWARE_PATH}/brcm/bcm4343w

	install -m 0644 ${S}${FIRMWARE_PATH}/regulatory_fcc.db ${D}${FIRMWARE_PATH}/
	install -m 0644 ${S}${BCM4343W_PATH}/4343w.hcd ${D}${BCM4343W_PATH}/
	install -m 0644 ${S}${BCM4343W_PATH}/brcmfmac43430-sdio.clm_blob ${D}${BCM4343W_PATH}/
	install -m 0644 ${S}${BCM4343W_PATH}/brcmfmac43430-sdio-fcc.txt ${D}${BCM4343W_PATH}/
	install -m 0644 ${S}${BCM4343W_PATH}/brcmfmac43430-sdio-prod.bin ${D}${BCM4343W_PATH}/

	ln -sr ${D}${FIRMWARE_PATH}/regulatory_fcc.db ${D}${FIRMWARE_PATH}/regulatory.db
	ln -sr ${D}${BCM4343W_PATH}/4343w.hcd ${D}${FIRMWARE_PATH}/brcm/4343w.hcd
	ln -sr ${D}${BCM4343W_PATH}/brcmfmac43430-sdio.bin ${D}${FIRMWARE_PATH}/brcm/brcmfmac43430-sdio.bin
	ln -sr ${D}${BCM4343W_PATH}/brcmfmac43430-sdio.clm_blob ${D}${FIRMWARE_PATH}/brcm/brcmfmac43430-sdio.clm_blob
	ln -sr ${D}${BCM4343W_PATH}/brcmfmac43430-sdio-fcc.txt ${D}${FIRMWARE_PATH}/brcm/brcmfmac43430-sdio.txt
	ln -sr ${D}${BCM4343W_PATH}/brcmfmac43430-sdio-prod.bin ${D}${BCM4343W_PATH}/brcmfmac43430-sdio.bin
	ln -sr ${D}${BCM4343W_PATH}/brcmfmac43430-sdio-fcc.txt ${D}${BCM4343W_PATH}/brcmfmac43430-sdio.txt
}

FILES_${PN} = " \
	${FIRMWARE_PATH}/regulatory_fcc.db \
	${FIRMWARE_PATH}/regulatory.db \
	${FIRMWARE_PATH}/brcm/4343w.hcd \
	${FIRMWARE_PATH}/brcm/brcmfmac43430-sdio.bin \
	${FIRMWARE_PATH}/brcm/brcmfmac43430-sdio.clm_blob \
	${FIRMWARE_PATH}/brcm/brcmfmac43430-sdio.txt \
	${BCM4343W_PATH}/4343w.hcd \
	${BCM4343W_PATH}/brcmfmac43430-sdio.bin \
	${BCM4343W_PATH}/brcmfmac43430-sdio.clm_blob \
	${BCM4343W_PATH}/brcmfmac43430-sdio-fcc.txt \
	${BCM4343W_PATH}/brcmfmac43430-sdio-prod.bin \
	${BCM4343W_PATH}/brcmfmac43430-sdio.txt \
	"
