SUMMARY = "External Linux kernel modules for Sterling LWB module"
LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=bbea815ee2795b2f4230826c0c6b8814"

inherit module

RDEPENDS_${PN} += "laird-sterling-${LWB_COMPLIANCE}"

FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"

SRC_URI = " \
	https://artifactory.phytec.com/artifactory/yocto-source-mirror/backports-laird-7.0.0.52.tar.bz2 \
	file://lwb-defconfig \
	"

SRC_URI[md5sum] = "8b705b4820b458844a82bf3213e6ff57"
SRC_URI[sha256sum] = "e0ec35e001e17493fdee9f8dfcfb3eab9da65346a0d1aa8bc6ac7d2d93476219"
S = "${WORKDIR}/laird-backport-${PV}"

do_configure_prepend_am6548 () {
	cp ${WORKDIR}/lwb-defconfig ${S}/defconfigs/lwb-${LWB_COMPLIANCE}
}

do_configure_append () {
	unset CFLAGS CPPFLAGS CXXFLAGS LDFLAGS
	oe_runmake KLIB_BUILD=${STAGING_KERNEL_BUILDDIR} \
		   CC=${BUILD_CC} \
		   LDFLAGS='${BUILD_LDFLAGS}' \
		   defconfig-lwb-${LWB_COMPLIANCE}
}


module_do_compile() {
	unset CFLAGS CPPFLAGS CXXFLAGS LDFLAGS
	oe_runmake KERNEL_PATH=${STAGING_KERNEL_DIR} \
		   KLIB_BUILD=${STAGING_KERNEL_BUILDDIR} \
		   KERNEL_VERSION=${KERNEL_VERSION} \
		   CC="${KERNEL_CC}" \
		   LD="${KERNEL_LD}" \
		   AR="${KERNEL_AR}" \
		   O=${STAGING_KERNEL_BUILDDIR} \
		   ${MAKE_TARGETS}
}

module_do_install() {
	unset CFLAGS CPPFLAGS CXXFLAGS LDFLAGS
	oe_runmake DEPMOD=echo \
		   INSTALL_MOD_PATH="${D}" \
		   KLIB_BUILD=${STAGING_KERNEL_BUILDDIR} \
		   KLIB=${D} \
		   CC="${KERNEL_CC}" \
		   LD="${KERNEL_LD}" \
		   O=${STAGING_KERNEL_BUILDDIR} \
		   ${MODULES_INSTALL_TARGET}
}
