SUMMARY = "AWS IoT Greengrass Core"
HOMEPAGE = "https://aws.amazon.com/greengrass/"

S = "${WORKDIR}/${BPN}"

inherit useradd

do_install() {
	install -d ${D}/${BPN}
	tar --no-same-owner -cp -C ${S} . | tar --no-same-owner -xp -C ${D}/${BPN}
}

FILES_${PN} = "/${BPN} ${sysconfdir}"

# Create a Greengrass Core group and add a Greengrass Core user to the group
USERADD_PACKAGES = "${PN}"
GROUPADD_PARAM_${PN} = "-r ggc_group"
USERADD_PARAM_${PN} = "-r -M -N -g ggc_group -s /bin/false ggc_user"

# Binaries are pre-generated and already stripped
INSANE_SKIP_${PN} += "already-stripped ldflags"
