DESCRIPTION = "Proprietary firmware binaries needed for the Laird Sterling-LWB \
               Wifi/BT Module with FCC compliance."
LICENSE = "laird"
LIC_FILES_CHKSUM = "file://laird-license;md5=8a5d246793523a931f0739615a4250c8"

RCONFLICTS_${PN} = "laird-sterling-etsi"

FILESEXTRAPATHS_prepend := "${THISDIR}/files:"
SRC_URI = "https://www.lsr.com/downloads/products/480-0079.zip \
	   file://laird-license"

SRC_URI[md5sum] = "53bcd37030ce4cde6f4bea83385dd425"
SRC_URI[sha256sum] = "029e6bda6ed5c79d2fac1a51f17170cb5060ac6ce3f4cbf4c708977fcc0a4ce5"

S = "${WORKDIR}/${PN}-${PV}"

FIRMWARE_PATH = "/lib/firmware/brcm"

addtask extract_src after do_unpack before do_patch
do_extract_src () {
	tar -jxf ${WORKDIR}/laird-sterling-fcc-3.5.4.2.tar.bz2 -C ${WORKDIR}/
	cp ${WORKDIR}/laird-license ${S}
}

do_install_append() {
	install -d ${D}${FIRMWARE_PATH}

	install -m 0644 ${S}/4343w-07_25_2016.hcd ${D}${FIRMWARE_PATH}/
	install -m 0644 ${S}/bcmdhd_4343w_fcc-11_15_2016.cal ${D}${FIRMWARE_PATH}/
	install -m 0644 ${S}/brcmfmac43430-sdio.bin ${D}${FIRMWARE_PATH}/
	install -m 0644 ${S}/brcmfmac43430-sdio.txt ${D}${FIRMWARE_PATH}/
	install -m 0644 ${S}/fw_bcmdhd_4343w-11_15_2016.bin ${D}${FIRMWARE_PATH}/
	install -m 0644 ${S}/fw_bcmdhd_mfgtest_4343w-11_15_2016.bin ${D}${FIRMWARE_PATH}/
}

FILES_${PN} = "${FIRMWARE_PATH}/4343w-07_25_2016.hcd \
	       ${FIRMWARE_PATH}/bcmdhd_4343w_fcc-11_15_2016.cal \
	       ${FIRMWARE_PATH}/brcmfmac43430-sdio.bin \
	       ${FIRMWARE_PATH}/brcmfmac43430-sdio.txt \
	       ${FIRMWARE_PATH}/fw_bcmdhd_4343w-11_15_2016.bin \
	       ${FIRMWARE_PATH}/fw_bcmdhd_mfgtest_4343w-11_15_2016.bin \
"
