SUMMARY = "Python module to control the Raspberry Pi Sense HAT used in the Astro Pi mission"
HOMEPAGE = "https://github.com/RPi-Distro/python-sense-hat"
SECTION = "devel/python"
LICENSE = "BSD"
LIC_FILES_CHKSUM = "file://LICENCE.txt;md5=d80fe312e1ff5fbd97369b093bf21cda"

SRC_URI = "git://github.com/RPi-Distro/python-sense-hat.git;protocol=https;branch=master \
	"

SRCREV = "9a37f0923ce8dbde69514c3b8d58d30de01c9ee7"

FILES_${PN} = "${datadir}/phytec-rpihat-examples/sense-hat"

do_install_append() {
	install -d ${D}${datadir}/phytec-rpihat-examples/sense-hat
	install -m 0744 ${S}/examples/*.py ${D}${datadir}/phytec-rpihat-examples/sense-hat
	rm -f ${D}${datadir}/phytec-rpihat-examples/sense-hat/pygame_joystick.py
	install -m 0644 ${S}/examples/README.md ${D}${datadir}/phytec-rpihat-examples/sense-hat
	install -m 0644 ${S}/examples/space_invader.png ${D}${datadir}/phytec-rpihat-examples/sense-hat
}

S = "${WORKDIR}/git/"

DEPENDS += " \
	jpeg \
	zlib \
	freetype \
	"

RDEPENDS_${PN} += " \
	libevdev \
	libsdl \
	python-evdev \
	python-numpy \
	python-pillow \
	python-rtimu \
	"

inherit setuptools
