DESCRIPTION = "U-Boot bootloader for PHYTEC i.MX7 devices, based on Freescale's \
imx_v2016.03_4.1.15_2.0.0_ga release."

require recipes-bsp/u-boot/u-boot.inc

PROVIDES += "u-boot"

COMPATIBLE_MACHINE = "imx7d|imx7s"

LICENSE = "GPLv2+"
LIC_FILES_CHKSUM = "file://Licenses/gpl-2.0.txt;md5=b234ee4d69f5fce4486a80fdaf4a4263"

#Set to AUTOREV for development purposes
#SRCREV = "${AUTOREV}"
PV = "2016.03+git_${RELEASE_VER}"

# RELEASE_% information is valid for the following BSP releases:
#	BSP-Yocto-FSL-iMX7-PD17.2.0
#	BSP-Yocto-FSL-iMX7-PD17.2.1
RELEASE_BRANCH = "v2016.03-phy"
RELEASE_VER = "v2016.03-phy2"

UBOOT_GIT_URI = "git://git@stash.phytec.com/scm/pub/uboot-phytec.git"
UBOOT_GIT_PROTOCOL = "https"
SRC_URI = "${UBOOT_GIT_URI};protocol=${UBOOT_GIT_PROTOCOL};branch=${RELEASE_BRANCH};tag=${RELEASE_VER}"

S = "${WORKDIR}/git"

inherit fsl-u-boot-localversion

LOCALVERSION ?= "-${RELEASE_VER}"

PACKAGE_ARCH = "${MACHINE_ARCH}"
