DESCRIPTION = "U-Boot bootloader for PHYTEC i.MX7 devices, based on Freescale's \
imx_v2017.03_4.9.11_1.0.0_ga release."

require recipes-bsp/u-boot/u-boot.inc

PROVIDES += "u-boot"
DEPENDS_append = "dtc-native"

LICENSE = "GPLv2+"
LIC_FILES_CHKSUM = "file://Licenses/gpl-2.0.txt;md5=b234ee4d69f5fce4486a80fdaf4a4263"

#Set to AUTOREV for development purposes
#SRCREV = "${AUTOREV}"
SRCREV = "7d8c20dac7299067a05ada58b865ca8b01dd0bd0"

PV = "2017.03+git_${RELEASE_VER}"

# RELEASE_% information is valid for the following BSP releases:
#	BSP-Yocto-FSL-iMX7-PD18.2.1
RELEASE_BRANCH = "v2017.03-phy"
RELEASE_VER = "v2017.03-phy4"

UBOOT_GIT_URI = "git://git@stash.phytec.com/scm/pub/uboot-phytec.git"
UBOOT_GIT_PROTOCOL = "https"
SRC_URI = "${UBOOT_GIT_URI};protocol=${UBOOT_GIT_PROTOCOL};branch=${RELEASE_BRANCH}"

S = "${WORKDIR}/git"

inherit fsl-u-boot-localversion

LOCALVERSION ?= "-${RELEASE_VER}"

PACKAGE_ARCH = "${MACHINE_ARCH}"

COMPATIBLE_MACHINE = "imx7d|imx7s"
