DESCRIPTION = "U-Boot bootloader for PHYTEC i.MX7 devices, based on Freescale's \
imx_v2018.03_4.14.78_1.0.0_ga release."

require recipes-bsp/u-boot/u-boot.inc

PROVIDES += "u-boot"
DEPENDS_append = " dtc-native"

LICENSE = "GPLv2+"
LIC_FILES_CHKSUM = "file://Licenses/gpl-2.0.txt;md5=b234ee4d69f5fce4486a80fdaf4a4263"

#Set to AUTOREV for development purposes
#SRCREV = "${AUTOREV}"
SRCREV = "dea9406f815112d03ba9bcee9343a3093b1a6cd1"

PV = "2018.03+git_${RELEASE_VER}"

# RELEASE_% information is valid for the following BSP releases:
#	BSP-Yocto-FSL-iMX7-PD19.1.0
RELEASE_BRANCH = "v2018.03-phy"
RELEASE_VER = "v2018.03-phy1"

UBOOT_GIT_URI = "git://git@stash.phytec.com/scm/pub/uboot-phytec.git"
UBOOT_GIT_PROTOCOL = "https"
SRC_URI = "${UBOOT_GIT_URI};protocol=${UBOOT_GIT_PROTOCOL};branch=${RELEASE_BRANCH}"

S = "${WORKDIR}/git"

inherit fsl-u-boot-localversion

LOCALVERSION ?= "-${RELEASE_VER}"

PACKAGE_ARCH = "${MACHINE_ARCH}"

COMPATIBLE_MACHINE = "imx7d|imx7s"
