# icu is needed for the chromium 71 version as it need the inspector module as part of the build
# http://lists.openembedded.org/pipermail/openembedded-devel/2018-September/120658.html

DEPENDS_append = " pkgconfig-native icu"

# Override the do_configure () to include icu changes
do_configure () {
    rm -rf ${S}/deps/openssl
    export LD="${CXX}"
    GYP_DEFINES="${GYP_DEFINES}" export GYP_DEFINES
    # $TARGET_ARCH settings don't match --dest-cpu settings
   ./configure --prefix=${prefix} --without-snapshot --shared-openssl --shared-zlib \
               --with-intl=system-icu \
               --dest-cpu="${@nodejs_map_dest_cpu(d.getVar('TARGET_ARCH'), d)}" \
               --dest-os=linux \
               ${ARCHFLAGS}
}

# include patch "66c1197f: v8: fix build errors with g++ 7" in order
# to allow Node.js v6.x to compile using GCC/G++, as well as
# patch "731717f3e: deps/v8: add missing #include "unicode/normlzr.h"
SRC_URI_append = " file://v8-fix-build-errors-with-gcc7.patch \
                   file://v8-add-missing-include-for-normalizer.patch"
