SUMMARY = "External Linux kernel modules for Sterling LWB module"
LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=d7810fab7487fb0aad327b76f1be7cd7"

inherit module

RDEPENDS_kernel-module-laird-backports = "laird-sterling-${LWB_COMPLIANCE}"

FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"

SRC_URI = "https://www.lsr.com/downloads/products/930-0075.zip \
	   file://Makefile.real \
	  "

SRC_URI[md5sum] = "4d95f5601e49ae5f42650fe12866b99b"
SRC_URI[sha256sum] = "f4e900792e0899751909d696c693e6ee7a160aca06c53ce9586f87ff60527e4d"
S = "${WORKDIR}/laird-backport-3.5.4.2"

addtask extract_src after do_unpack before do_patch
do_extract_src () {
	tar -jxf ${WORKDIR}/backports-laird-3.5.4.2.tar.bz2 -C ${WORKDIR}/
}

do_configure_append () {
	cp ${WORKDIR}/Makefile.real ${S}/
	unset CFLAGS CPPFLAGS CXXFLAGS LDFLAGS
	oe_runmake KLIB_BUILD=${STAGING_KERNEL_BUILDDIR} CC=${BUILD_CC} LDFLAGS='${BUILD_LDFLAGS}' defconfig-lwb-${LWB_COMPLIANCE}
}


module_do_compile() {
	unset CFLAGS CPPFLAGS CXXFLAGS LDFLAGS
	oe_runmake KERNEL_PATH=${STAGING_KERNEL_DIR}   \
		   KLIB_BUILD=${STAGING_KERNEL_BUILDDIR} \
		   KERNEL_VERSION=${KERNEL_VERSION}    \
		   CC="${KERNEL_CC}" LD="${KERNEL_LD}" \
		   AR="${KERNEL_AR}" \
		   O=${STAGING_KERNEL_BUILDDIR} \
		   ${MAKE_TARGETS}
}

module_do_install() {
	unset CFLAGS CPPFLAGS CXXFLAGS LDFLAGS
	oe_runmake DEPMOD=echo INSTALL_MOD_PATH="${D}" \
		   KLIB_BUILD=${STAGING_KERNEL_BUILDDIR} \
		   KLIB=${D} \
		   CC="${KERNEL_CC}" LD="${KERNEL_LD}" \
		   O=${STAGING_KERNEL_BUILDDIR} \
		   ${MODULES_INSTALL_TARGET}
}
