DESCRIPTION = "Linux kernel for PHYTEC i.MX7 devices, based on Freescale's \
imx-4.1.15-2.0.0_ga release"

require recipes-kernel/linux/linux-imx.inc
require recipes-kernel/linux/linux-dtb.inc

DEPENDS += "lzop-native bc-native"

COMPATIBLE_MACHINE = "imx7d|imx7s"

#Set to AUTOREV for development purposes
#SRCREV = "${AUTOREV}"
PV = "4.1.15+git_${RELEASE_VER}"

# RELEASE_% information is valid for the following BSP releases:
#	BSP-Yocto-FSL-iMX7-PD17.2.1
RELEASE_BRANCH = "v4.1.15-phy"
RELEASE_VER = "v4.1.15-phy4"

KERNEL_GIT_URI = "git://git@stash.phytec.com/scm/pub/linux-phytec-fsl.git"
KERNEL_GIT_PROTOCOL = "https"
SRC_URI = "${KERNEL_GIT_URI};protocol=${KERNEL_GIT_PROTOCOL};branch=${RELEASE_BRANCH};tag=${RELEASE_VER}"

addtask copy_defconfig after do_unpack before do_preconfigure
do_copy_defconfig () {
    # copy latest defconfig to use
    cp ${S}/arch/arm/configs/imx7_phyboard_zeta_defconfig ${B}/.config
    cp ${S}/arch/arm/configs/imx7_phyboard_zeta_defconfig ${B}/../defconfig
}
