DESCRIPTION = "Linux kernel for PHYTEC i.MX7 devices, based on Freescale's \
imx-4.9.11_1.0.0_ga release"

require recipes-kernel/linux/linux-imx.inc
require recipes-kernel/linux/linux-dtb.inc
require phytec-dtbs-overlays.inc

DEPENDS += "lzop-native bc-native"

#Set to AUTOREV for development purposes
#SRCREV = "${AUTOREV}"
SRCREV = "afb84c2aea8e955bf9b7d3eb573f436e100b6222"

PV = "4.9.11+git_${RELEASE_VER}"

# RELEASE_% information is valid for the following BSP releases:
#	BSP-Yocto-FSL-iMX7-PD18.2.1
RELEASE_BRANCH = "v4.9.11-phy"
RELEASE_VER = "v4.9.11-phy5"

KERNEL_GIT_URI = "git://git@stash.phytec.com/scm/pub/linux-phytec-fsl.git"
KERNEL_GIT_PROTOCOL = "https"
SRC_URI = "${KERNEL_GIT_URI};protocol=${KERNEL_GIT_PROTOCOL};branch=${RELEASE_BRANCH}"

addtask copy_defconfig after do_unpack before do_preconfigure
do_copy_defconfig () {
    install -d ${B}
    # copy latest defconfig to use
    mkdir -p ${B}

    cp ${S}/arch/arm/configs/imx7_phyboard_zeta_defconfig ${B}/.config
    cp ${S}/arch/arm/configs/imx7_phyboard_zeta_defconfig ${B}/../defconfig
}

EXTRA_OEMAKE_append_mx7 = " ARCH=arm"

COMPATIBLE_MACHINE = "imx7d|imx7s"
