# Copyright (C) 2017 PHYTEC America, LLC
# Released under the MIT license (see COPYING.MIT for the terms)

DESCRIPTION = "EEPROM configuration tool for PHYTEC SOMs"
HOMEPAGE = "http://www.phytec.com"
PR = "r1"

LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/MIT;md5=0835ade698e0bcf8506ecda2f7b4f302"

RDEPENDS_${PN} = "python"

EEPROM_GIT_URI = "git://git@stash.phytec.com/scm/pub/phytec-eeprom-flashtool.git"
EEPROM_GIT_PROTOCOL = "https"

RELEASE_BRANCH = "next"
RELEASE_VER = "v1.01.02"

#SRCREV = "${AUTOREV}"
SRCREV = "a2e7cb1415ca0767ca9f9bc4d57a9d3a28bbc16f"

# /usr/bin/phytec-eeprom-flashtool/
BIN_INSTALL_DIR = "${D}${bindir}/phytec-eeprom-flashtool/"
# /usr/bin/phytec-eeprom-flashtool/configs/
CFG_INSTALL_DIR = "${BIN_INSTALL_DIR}/configs/"

SRC_URI = "${EEPROM_GIT_URI};protocol=${EEPROM_GIT_PROTOCOL};branch=${RELEASE_BRANCH}"

S = "${WORKDIR}/git"
FILES_${PN} += "${bindir}/phytec-eeprom-flashtool/ ${bindir}/phytec-eeprom-flashtool/configs/"

do_install() {
	install -d ${BIN_INSTALL_DIR}
	install -m 0774 phytec_eeprom_flashtool.py ${BIN_INSTALL_DIR}
	install -m 0664 README ${BIN_INSTALL_DIR}
	install -d ${CFG_INSTALL_DIR}
	install -m 0664 ${S}/configs/* ${CFG_INSTALL_DIR}
}

COMPATIBLE_MACHINE = "am5716|am5726|am5728"
