SECTION = "kernel"
DESCRIPTION = "Linux kernel for PHYTEC devices, based on TI's linux-ti-staging"
LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=d7810fab7487fb0aad327b76f1be7cd7"

inherit kernel

require recipes-kernel/linux/setup-defconfig.inc
require common/phytec-localversion.inc

# Look in the generic major.minor directory for files
FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}-4.14:"

# Pull in the devicetree files into the rootfs
RDEPENDS_kernel-base += "kernel-devicetree"

RDEPENDS_kernel-base_append_am6548 = " prueth-fw-bin"

KERNEL_EXTRA_ARGS += "LOADADDR=${UBOOT_ENTRYPOINT}"

COMPATIBLE_MACHINE = "am6548"

S = "${WORKDIR}/git"

# RELEASE_% information *will* be valid for the following BSP releases:
#	BSP-Yocto-TISDK-AM65xx-ALPHA1
RELEASE_BRANCH = "v4.14.79-phy"
RELEASE_VER = "v4.14.79-phy1"

# Set to AUTOREV for development purposes
#SRCREV = "${AUTOREV}"
SRCREV = "9d8d0716d0dc18c3ebac9c50332526e0aec1e4ab"

PV = "4.14.79+git_${RELEASE_VER}"

# Append to the MACHINE_KERNEL_PR so that a new SRCREV will cause a rebuild
MACHINE_KERNEL_PR_append = "a"
PR = "${MACHINE_KERNEL_PR}"

KERNEL_GIT_URI = "git://git@stash.phytec.com/scm/pub/linux-phytec-ti.git"
KERNEL_GIT_PROTOCOL = "https"
SRC_URI += "${KERNEL_GIT_URI};protocol=${KERNEL_GIT_PROTOCOL};branch=${RELEASE_BRANCH} \
            file://defconfig"

FILES_kernel-devicetree += "/${KERNEL_IMAGEDEST}/*.itb"

